KNOB2FLOAT(9)

NAME

knob2float - Convert counts (probably from an encoder) to a float value

SYNOPSIS

loadrt knob2float [count=N|names=name1[,name2...]]

FUNCTIONS

knob2float.N (requires a floating-point thread)

PINS

knob2float.N.counts s32 in
    Counts

knob2float.N.enable bit in
    When TRUE, output is controlled by count, when FALSE, output is fixed

knob2float.N.scale float in
    Amount of output change per count

knob2float.N.out float out
    Output value

PARAMETERS

knob2float.N.max-out float rw (default: 1.0)
    Maximum output value, further increases in count will be ignored

knob2float.N.min-out float rw (default: 0.0)
    Minimum output value, further decreases in count will be ignored

AUTHOR

John Kasunich

LICENSE

GPL